Package org.linphone.core

# Enum Class ConsolidatedPresence

java.lang.Object
java.lang.Enum<ConsolidatedPresence>
org.linphone.core.ConsolidatedPresence

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsolidatedPresence>`, `Constable`

public enum ConsolidatedPresence extends Enum<ConsolidatedPresence>
Consolidated presence information: 'online' means the user is open for
communication, 'busy' means the user is open for communication but involved in
an other activity, 'do not disturb' means the user is not open for
communication, and 'offline' means that no presence information is available.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Busy`
`DoNotDisturb`
`Offline`
`Online`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ConsolidatedPresence`
`fromInt(int value)`
`protected static ConsolidatedPresence[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(ConsolidatedPresence[] values)`
`static ConsolidatedPresence`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConsolidatedPresence[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Online

public static final ConsolidatedPresence Online

### Busy

public static final ConsolidatedPresence Busy

### DoNotDisturb

public static final ConsolidatedPresence DoNotDisturb

### Offline

public static final ConsolidatedPresence Offline

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ConsolidatedPresence[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConsolidatedPresence valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ConsolidatedPresence fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static ConsolidatedPresence[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(ConsolidatedPresence[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()